package configuration.environment

object ConfigurationKey extends Enumeration {
  type Type = Value
  val MODE,
  LINKEDIN_URL,
  POSTGRES_DRIVER,
  POSTGRES_URL,
  POSTGRES_USERNAME,
  POSTGRES_PASSWORD,
  MAIL_CONTACT_NAME,
  MAIL_SMTP_AUTH,
  MAIL_SMTP_STARTTLS,
  MAIL_SMTP_HOST,
  MAIL_SMTP_PORT,
  MAIL_AUTH_LOGIN,
  MAIL_AUTH_PASSWORD = Value

  implicit def toString(m: ConfigurationKey.Type): String = m match {
    case MODE => "MODE"
    case LINKEDIN_URL => "LINKEDIN_URL"
    case POSTGRES_DRIVER => "POSTGRES_DRIVER"
    case POSTGRES_URL => "POSTGRES_URL"
    case POSTGRES_USERNAME => "POSTGRES_USERNAME"
    case POSTGRES_PASSWORD => "POSTGRES_PASSWORD"
    case MAIL_CONTACT_NAME => "MAIL_CONTACT_NAME"
    case MAIL_SMTP_AUTH => "MAIL_SMTP_AUTH"
    case MAIL_SMTP_STARTTLS => "MAIL_SMTP_STARTTLS"
    case MAIL_SMTP_HOST => "MAIL_SMTP_HOST"
    case MAIL_SMTP_PORT => "MAIL_SMTP_PORT"
    case MAIL_AUTH_LOGIN => "MAIL_AUTH_LOGIN"
    case MAIL_AUTH_PASSWORD => "MAIL_AUTH_PASSWORD"
  }
}
